config="vllm"

max_token=2048

models=(
 "FINETUNED-MODEL-PATH"
)
num_limit=100
for eval_train in 2 3 4 5 6 7 8;
do
    echo "Processing eval_train: $eval_train"
    
    for model in "${models[@]}"; 
    do
        echo "Processing model: $model"
        python eval_kk.py --batch_size 8 --model ${model} --max_token ${max_token} --arch ${model} --ntrain 1 --config ${config} --use_vllm  --limit ${num_limit} --split "train" --problem_type "clean" --eval_train ${eval_train}
        python eval_kk.py --batch_size 8 --model ${model} --max_token ${max_token} --arch ${model} --ntrain 1 --config ${config} --use_vllm  --cot --limit ${num_limit} --split "train" --problem_type "clean" --eval_train ${eval_train}
    done
done 

